package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapTumbuhKembangAnakVO extends BaseTransactionVO{
	@ManyToOne
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksaVO pasienDaftar;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@NotNull(message = "usia Tengkurap tidak boleh kosong")
	@Column(name = "usiaTengkurap", nullable = false)
	@Caption(value = "usia Tengkurap")
	private String usiaTengkurap;

	@NotNull(message = "usia tumbuh kembang tidak boleh kosong")
	@Column(name = "usiaTumbuhKembang", nullable = false)
	@Caption(value = "usia Tengkurap")
	private String usiaTumbuhKembang;
	
	@NotNull(message = "usia bicara tidak boleh kosong")
	@Column(name = "usiaBicara", nullable = false)
	@Caption(value = "usia Bicara")
	private String usiaBicara;
	
	@NotNull(message = "usia Duduk tidak boleh kosong")
	@Column(name = "usiaDuduk", nullable = false)
	@Caption(value = "usia duduk")
	private String usiaDuduk;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public AntrianPasienDiPeriksaVO getPasien() {
		return pasienDaftar;
	}

	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasienDaftar = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public String getUsiaTengkurap() {
		return usiaTengkurap;
	}

	public void setUsiaTengkurap(String usiaTengkurap) {
		this.usiaTengkurap = usiaTengkurap;
	}

	public String getUsiaTumbuhKembang() {
		return usiaTumbuhKembang;
	}

	public void setUsiaTumbuhKembang(String usiaTumbuhKembang) {
		this.usiaTumbuhKembang = usiaTumbuhKembang;
	}

	public String getUsiaBicara() {
		return usiaBicara;
	}

	public void setUsiaBicara(String usiaBicara) {
		this.usiaBicara = usiaBicara;
	}

	public String getUsiaDuduk() {
		return usiaDuduk;
	}

	public void setUsiaDuduk(String usiaDuduk) {
		this.usiaDuduk = usiaDuduk;
	}

}
